package types

type MarriageReq struct {
	Name   string `json:"name" validate:"required,name"`
	IDCard string `json:"id_card" validate:"required,idCard"`
	Mobile string `json:"mobile" validate:"required,mobile"`
	Code   string `json:"code" validate:"required"`
}
type HomeServiceReq struct {
	Name   string `json:"name" validate:"required,name"`
	IDCard string `json:"id_card" validate:"required,idCard"`
	Mobile string `json:"mobile" validate:"required,mobile"`
	Code   string `json:"code" validate:"required"`
}

// RiskAssessment 查询请求结构
type RiskAssessmentReq struct {
	Name   string `json:"name" validate:"required,name"`
	IDCard string `json:"id_card" validate:"required,idCard"`
	Mobile string `json:"mobile" validate:"required,mobile"`
	Code   string `json:"code" validate:"required"`
}

// CompanyInfo 查询请求结构
type CompanyInfoReq struct {
	Name   string `json:"name" validate:"required,name"`
	IDCard string `json:"id_card" validate:"required,idCard"`
	Mobile string `json:"mobile" validate:"required,mobile"`
	Code   string `json:"code" validate:"required"`
}

// RentalInfo 查询请求结构
type RentalInfoReq struct {
	Name   string `json:"name" validate:"required,name"`
	IDCard string `json:"id_card" validate:"required,idCard"`
	Mobile string `json:"mobile" validate:"required,mobile"`
	Code   string `json:"code" validate:"required"`
}

// PreLoanBackgroundCheck 查询请求结构
type PreLoanBackgroundCheckReq struct {
	Name   string `json:"name" validate:"required,name"`
	IDCard string `json:"id_card" validate:"required,idCard"`
	Mobile string `json:"mobile" validate:"required,mobile"`
	Code   string `json:"code" validate:"required"`
}

// BackgroundCheck 查询请求结构
type BackgroundCheckReq struct {
	Name   string `json:"name" validate:"required,name"`
	IDCard string `json:"id_card" validate:"required,idCard"`
	Mobile string `json:"mobile" validate:"required,mobile"`
	Code   string `json:"code" validate:"required"`
}
type EntLawsuitReq struct {
	EntName string `json:"ent_name" validate:"required,name"`
	EntCode string `json:"ent_code" validate:"required,USCI"`
	Mobile  string `json:"mobile" validate:"required,mobile"`
	Code    string `json:"code" validate:"required"`
}
type TocPhoneThreeElements struct {
	Name   string `json:"name" validate:"required,name"`
	IDCard string `json:"id_card" validate:"required,idCard"`
	Mobile string `json:"mobile" validate:"required,mobile"`
}
type TocPhoneTwoElements struct {
	Name   string `json:"name" validate:"required,name"`
	Mobile string `json:"mobile" validate:"required,mobile"`
}
type TocIDCardTwoElements struct {
	Name   string `json:"name" validate:"required,name"`
	IDCard string `json:"id_card" validate:"required,idCard"`
}
type TocDualMarriage struct {
	NameMan     string `json:"name_man" validate:"required,name"`
	IDCardMan   string `json:"id_card_man" validate:"required,idCard"`
	NameWoman   string `json:"name_woman" validate:"required,name"`
	IDCardWoman string `json:"id_card_woman" validate:"required,idCard"`
}
type TocPersonVehicleVerification struct {
	Name       string `json:"name" validate:"required,name"`
	CarType    string `json:"car_type" validate:"required"`
	CarLicense string `json:"car_license" validate:"required"`
}
type TocCarVin struct {
	VinCode string `json:"vin_code" validate:"required"`
}
type TocCarVinDrivingPermit struct {
	VinCode          string `json:"vin_code" validate:"required"`
	CarDrivingPermit string `json:"car_driving_permit" validate:"required"`
}
type TocCarVinLicense struct {
	VinCode    string `json:"vin_code" validate:"required"`
	CarLicense string `json:"car_license" validate:"required"`
}

// 银行卡黑名单
type TocBankCardBlacklist struct {
	Name     string `json:"name" validate:"required,name"`
	IDCard   string `json:"id_card" validate:"required,idCard"`
	Mobile   string `json:"mobile" validate:"required,mobile"`
	BankCard string `json:"bank_card" validate:"required"`
}

// 手机号码风险
type TocPhoneNumberRisk struct {
	Mobile string `json:"mobile" validate:"required,mobile"`
}

// 手机二次卡
type TocPhoneSecondaryCard struct {
	Mobile    string `json:"mobile" validate:"required,mobile"`
	StartDate string `json:"start_date" validate:"required"`
}

// 出境限制查询
type TocExitRestriction struct {
	Name string `json:"name" validate:"required,name"`
}

// 手机月消费档次查询
type TocMonthlyMobileConsumptionLevel struct {
	Mobile string `json:"mobile" validate:"required,mobile"`
}

// 学历信息验证
type TocEducationVerification struct {
	Name              string `json:"name" validate:"required,name"`
	IDCard            string `json:"id_card" validate:"required,idCard"`
	CertificateNumber string `json:"certificate_number" validate:"required"`
}

// 反诈反赌风险核验
type TocFraudGamblingCheck struct {
	Mobile   string `json:"mobile,omitempty" validate:"omitempty,mobile"`
	BankCard string `json:"bank_card,omitempty" validate:"omitempty,bankCard"`
	IDCard   string `json:"id_card,omitempty" validate:"omitempty,idCard"`
}

// 手机号反赌反诈风险查询
type TocMobileDrugFraudRiskCheck struct {
	Mobile   string `json:"mobile,omitempty" validate:"omitempty,mobile"`
	BankCard string `json:"bank_card,omitempty" validate:"omitempty,bankCard"`
	IDCard   string `json:"id_card,omitempty" validate:"omitempty,idCard"`
}

// 手机号空号检测
type TocMobileNumberValidation struct {
	Mobile string `json:"mobile" validate:"required,mobile"`
}

// 银行卡归属地查询
type TocBankCardLocation struct {
	BankCard string `json:"bank_card" validate:"required"`
}

// 银行卡姓名二要素验证
type TocBankCardNameElementVerification struct {
	Name     string `json:"name" validate:"required,name"`
	BankCard string `json:"bank_card" validate:"required"`
}

// 银行卡号码二要素验证
type TocBankCardIDElementVerification struct {
	IDCard   string `json:"id_card" validate:"required,idCard"`
	BankCard string `json:"bank_card" validate:"required"`
}

// 银行卡三要素综合验证
type TocBankCardThreeElementsVerification struct {
	Name     string `json:"name" validate:"required,name"`
	IDCard   string `json:"id_card" validate:"required,idCard"`
	BankCard string `json:"bank_card" validate:"required"`
}

// 高风险特殊手机号
type TocMobileRiskAssessment struct {
	Mobile string `json:"mobile" validate:"required,mobile"`
}

// 手机归属地
type TocMobileLocation struct {
	Mobile string `json:"mobile" validate:"required,mobile"`
}

// 身份证归属地
type TocIDCardLocation struct {
	IDCard string `json:"id_card" validate:"required,idCard"`
}
