// Code generated by goctl. DO NOT EDIT.
package types

type Feature struct {
	ID    int64  `json:"id"`     // 功能ID
	ApiID string `json:"api_id"` // API标识
	Name  string `json:"name"`   // 功能描述
}

type GetNotificationsResp struct {
	Notifications []Notification `json:"notifications"` // 通知列表
	Total         int64          `json:"total"`         // 总记录数
}

type GetProductByEnRequest struct {
	ProductEn string `path:"product_en"`
}

type GetProductByIDRequest struct {
	Id int64 `path:"id"`
}

type GetProductRenderListRequest struct {
	Module string `path:"module"`
}

type GetProductRenderListResponse struct {
	Product []Product
}

type IapCallbackReq struct {
	OrderID            int64  `json:"order_id" validate:"required"`
	TransactionReceipt string `json:"transaction_receipt" validate:"required"`
}

type MobileCodeLoginReq struct {
	Mobile string `json:"mobile"`
	Code   string `json:"code" validate:"required"`
}

type MobileCodeLoginResp struct {
	AccessToken  string `json:"accessToken"`
	AccessExpire int64  `json:"accessExpire"`
	RefreshAfter int64  `json:"refreshAfter"`
}

type MobileLoginReq struct {
	Mobile   string `json:"mobile" validate:"required,mobile"`
	Password string `json:"password" validate:"required"`
}

type MobileLoginResp struct {
	AccessToken  string `json:"accessToken"`
	AccessExpire int64  `json:"accessExpire"`
	RefreshAfter int64  `json:"refreshAfter"`
}

type Notification struct {
	Title            string `json:"title"`            // 通知标题
	Content          string `json:"content"`          // 通知内容 (富文本)
	NotificationPage string `json:"notificationPage"` // 通知页面
	StartDate        string `json:"startDate"`        // 通知开始日期，格式 "YYYY-MM-DD"
	EndDate          string `json:"endDate"`          // 通知结束日期，格式 "YYYY-MM-DD"
	StartTime        string `json:"startTime"`        // 每天通知开始时间，格式 "HH:MM:SS"
	EndTime          string `json:"endTime"`          // 每天通知结束时间，格式 "HH:MM:SS"
}

type PaymentReq struct {
	Id        string `json:"id"`
	PayMethod string `json:"pay_method"`
}

type PaymentResp struct {
	PrepayData interface{} `json:"prepay_data"`
	PrepayId   string      `json:"prepay_id"`
	OrderID    int64       `json:"order_id"`
}

type Product struct {
	ProductName string    `json:"product_name"`
	ProductEn   string    `json:"product_en"`
	Description string    `json:"description"`
	Notes       string    `json:"notes,optional"`
	SellPrice   float64   `json:"sell_price"`
	Features    []Feature `json:"features"` // 关联功能列表
}

type ProductResponse struct {
	Product
}

type Query struct {
	Id          int64                    `json:"id"`           // 主键ID
	OrderId     int64                    `json:"order_id"`     // 订单ID
	UserId      int64                    `json:"user_id"`      // 用户ID
	ProductName string                   `json:"product_name"` // 产品ID
	QueryParams map[string]interface{}   `json:"query_params"`
	QueryData   []map[string]interface{} `json:"query_data"`
	CreateTime  string                   `json:"create_time"` // 创建时间
	UpdateTime  string                   `json:"update_time"` // 更新时间
	QueryState  string                   `json:"query_state"` // 查询状态
}

type QueryDetailByOrderIdReq struct {
	OrderId int64 `path:"order_id"`
}

type QueryDetailByOrderIdResp struct {
	Query
}

type QueryDetailByOrderNoReq struct {
	OrderNo string `path:"order_no"`
}

type QueryDetailByOrderNoResp struct {
	Query
}

type QueryDetailReq struct {
	Id int64 `path:"id"`
}

type QueryDetailResp struct {
	Query
}

type QueryExampleReq struct {
	Feature string `form:"feature"`
}

type QueryExampleResp struct {
	Query
}

type QueryListReq struct {
	Page     int64 `form:"page"`      // 页码
	PageSize int64 `form:"page_size"` // 每页数据量
}

type QueryListResp struct {
	Total int64   `json:"total"` // 总记录数
	List  []Query `json:"list"`  // 查询列表
}

type QueryProvisionalOrderReq struct {
	Id string `path:"id"`
}

type QueryProvisionalOrderResp struct {
	QueryParams map[string]interface{} `json:"query_params"`
	Product     Product                `json:"product"`
}

type QueryReq struct {
	Data string `json:"data" validate:"required"`
}

type QueryResp struct {
	Id string `json:"id"`
}

type QueryRetryReq struct {
	Id int64 `path:"id"`
}

type QueryRetryResp struct {
}

type QueryServiceReq struct {
	Product string `path:"product"`
	Data    string `json:"data" validate:"required"`
}

type QueryServiceResp struct {
	Id string `json:"id"`
}

type QuerySingleTestReq struct {
	Params map[string]interface{} `json:"params"`
	Api    string                 `json:"api"`
}

type QuerySingleTestResp struct {
	Data interface{} `json:"data"`
	Api  string      `json:"api"`
}

type RegisterReq struct {
	Mobile   string `json:"mobile" validate:"required,mobile"`
	Password string `json:"password" validate:"required,min=11,max=11,password"`
	Code     string `json:"code" validate:"required"`
}

type RegisterResp struct {
	AccessToken  string `json:"accessToken"`
	AccessExpire int64  `json:"accessExpire"`
	RefreshAfter int64  `json:"refreshAfter"`
}

type User struct {
	Id       int64  `json:"id"`
	Mobile   string `json:"mobile"`
	NickName string `json:"nickName"`
}

type UserInfoResp struct {
	UserInfo User `json:"userInfo"`
}

type WXH5AuthReq struct {
	Code string `json:"code"`
}

type WXH5AuthResp struct {
	AccessToken  string `json:"accessToken"`
	AccessExpire int64  `json:"accessExpire"`
	RefreshAfter int64  `json:"refreshAfter"`
}

type WXMiniAuthReq struct {
	Code string `json:"code"`
}

type WXMiniAuthResp struct {
	AccessToken  string `json:"accessToken"`
	AccessExpire int64  `json:"accessExpire"`
	RefreshAfter int64  `json:"refreshAfter"`
}

type SendSmsReq struct {
	Mobile     string `json:"mobile" validate:"required,mobile"`
	ActionType string `json:"actionType" validate:"required,oneof=login register query"`
}
